org.apache.uima.cas.impl

## Class CommonSerDes

- java.lang.Object
- - org.apache.uima.cas.impl.CommonSerDes

-     public class CommonSerDes
      extends Object

  Common de/serialization

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CommonSerDes.Header` HEADERS Serialization versioning There are 1 or 2 words used for versioning.
    `static class` | `CommonSerDes.Reading` byte swapping reads of integer forms

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonSerDes()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommonSerDes.Header` | `createHeader()`
    `static boolean` | `isBinaryHeader(DataInputStream dis)`
    `static DataInputStream` | `maybeWrapToDataInputStream(InputStream os)`
    `static DataOutputStream` | `maybeWrapToDataOutputStream(OutputStream os)`
    `static CommonSerDes.Header` | `readHeader(DataInputStream dis)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonSerDes

          public CommonSerDes()

  - ### Method Detail

    - #### createHeader

          public static CommonSerDes.Header createHeader()

    - #### isBinaryHeader

          public static boolean isBinaryHeader(DataInputStream dis)

    - #### readHeader

          public static CommonSerDes.Header readHeader(DataInputStream dis)
                                                throws IOException

      Throws:
        `IOException`

    - #### maybeWrapToDataOutputStream

          public static DataOutputStream maybeWrapToDataOutputStream(OutputStream os)

    - #### maybeWrapToDataInputStream

          public static DataInputStream maybeWrapToDataInputStream(InputStream os)

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.